﻿<Graph ClassName="INItemClassExtIC" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using PX.Data.ReferentialIntegrity.Attributes;
using PX.Data;
using PX.Objects.CR;
using PX.Objects.CS;
using PX.Objects.DR;
using PX.Objects.IN;
using PX.Objects.TX;
using PX.Objects;
using PX.TM;
using SelectParentItemClass = PX.Data.Select<PX.Objects.IN.INItemClass, PX.Data.Where<PX.Objects.IN.INItemClass.itemClassID, PX.Data.Equal<PX.Data.Current<PX.Objects.IN.INItemClass.parentItemClassID>>>>;
using System.Collections.Generic;
using System;

namespace PX.Objects.IN
{
    public class INItemClassExtIC : PXCacheExtension<PX.Objects.IN.INItemClass>
    {
        #region UsrICIsConsignment
        [PXDBBool]
        [PXDefault(false, PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Consignment")]

        public virtual bool? UsrICIsConsignment { get; set; }
        public abstract class usrICIsConsignment : PX.Data.BQL.BqlBool.Field<usrICIsConsignment> { }
        #endregion
    }
}]]></CDATA>
</Graph>